package com.nantian.cloud.dbcapp.carbon.mapper;



import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.carbon.domain.InstrumentInfo;

import com.nantian.cloud.dbcapp.carbon.domain.carbonAccount.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InstrumentDao extends BaseMapper<InstrumentInfo> {

    List<InstrumentDetailVo> getMeasurementList(@Param("entId") String entId);

    IPage<EntInstrumentVo> selectEntList(Page page, @Param("entName") String entName, @Param("industryCode") String industryCode, @Param("level") Long level, @Param("regionCode")String regionCode);


    List<EntInstrumentVo> selectEntListBySumList(@Param("entName") String entName, @Param("industryCode") String industryCode, @Param("level") Long level, @Param("regionCode")String regionCode);

    List<InstrumentLevel> selectLevelList();

    List<InstrumentCategory> selectCategoryList();

    List<EntConsumeType> selectEntConsumeTypeList();
}
